# StepAP214_AutoDesignPresentedItemSelect.hxx File Reference

`#include <StepData_SelectType.hxx>`
`#include <Standard_Integer.hxx>`
`#include <Handle_Standard_Transient.hxx>`
`#include <Handle_StepBasic_ProductDefinitionRelationship.hxx>`
`#include <Handle_StepBasic_ProductDefinition.hxx>`
`#include <Handle_StepRepr_ProductDefinitionShape.hxx>`
`#include <Handle_StepRepr_RepresentationRelationship.hxx>`
`#include <Handle_StepRepr_ShapeAspect.hxx>`
`#include <Handle_StepBasic_DocumentRelationship.hxx>`
`#include <Standard.hxx>`
`#include <Standard_Macro.hxx>`